summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2024-02-14 09:39:01 -0300
committerSebastian <sebasjm@gmail.com>2024-02-14 09:39:01 -0300
commit9ef096edad80dfd7811ee4376357421db6f1bf3e (patch)
tree013a5e5f1386f2bcce6b106c145ce5df93664427 /contrib
parent589c6b87be85a60603636d47526675e46d98a015 (diff)
downloadwallet-core-9ef096edad80dfd7811ee4376357421db6f1bf3e.tar.gz
wallet-core-9ef096edad80dfd7811ee4376357421db6f1bf3e.tar.bz2
wallet-core-9ef096edad80dfd7811ee4376357421db6f1bf3e.zip
add some comments
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/cleanup-prebuilt-dir.sh4
-rwxr-xr-xcontrib/publish-prebuilt-dir.sh7
2 files changed, 11 insertions, 0 deletions
diff --git a/contrib/cleanup-prebuilt-dir.sh b/contrib/cleanup-prebuilt-dir.sh
index 1f664f860..fb21002cd 100755
--- a/contrib/cleanup-prebuilt-dir.sh
+++ b/contrib/cleanup-prebuilt-dir.sh
@@ -1,7 +1,11 @@
#!/bin/bash
+set -e
[ ! -d prebuilt ] && git worktree add -f prebuilt prebuilt && exit 1
+# make sure that the prebuilt directoy is clean
+# before building
+# this script is part of the make prebuilt
cd prebuilt
git checkout -- .
git pull
diff --git a/contrib/publish-prebuilt-dir.sh b/contrib/publish-prebuilt-dir.sh
index 33307a4c0..d3e47b964 100755
--- a/contrib/publish-prebuilt-dir.sh
+++ b/contrib/publish-prebuilt-dir.sh
@@ -1,7 +1,14 @@
#!/bin/bash
+# this script is part of the make prebuilt procedure
+# is expected on the root folder
+
+# create a commit message with the commit id
COMMIT=$(git rev-parse --verify HEAD)
MSG="built from ${COMMIT}"
+# after buliding process has copy everything into
+# the prebuilt folder
+cd prebuilt
git commit -m "$MSG" -a
git push